/* -*- Mode: C; tab-width: 8; -*- */
/* vim:set ts=8: */
/*
 * This file is part of the MUSE Instrument Pipeline
 * Copyright (C) 2008-2014 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
/* temporary definitions to be able to run the muclipm module *
 * outside instrument workstation without modifying the code */
#define MUCLIPM_TRY if (1)
#define MUCLIPM_CATCH else
#define MUCLIPM_ERROR_GET_NEW_SINCE_TRY() CPL_ERROR_NONE
#define MUCLIPM_TRY_CHECK(a,b,c,d) if (!(a)) { printf("Error:%d  - %s %s\n",b,c,d); \
					return(b); }
#define MUCLIPM_TRY_EXIT_WITH_ERROR_MSG(b,c,d) printf("Error:%d  - %s %s\n",b,c,d)

